# -*- encoding: utf-8 -*-
# stub: azure_cognitiveservices_spellcheck 0.18.1 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_cognitiveservices_spellcheck".freeze
  s.version = "0.18.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/data/azure_cognitiveservices_spellcheck" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Cognitive Services Spell Check Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/1.0".freeze, "lib/1.0/generated".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/action_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/answer.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/error.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/error_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/error_response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/error_sub_code.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/error_type.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/identifiable.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/mode.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/response.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/response_base.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/spell_check.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/spelling_flagged_token.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/models/spelling_token_suggestion.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/module_definition.rb".freeze, "lib/1.0/generated/azure_cognitiveservices_spellcheck/spell_check_client.rb".freeze, "lib/azure_cognitiveservices_spellcheck.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/spellcheck_profile_module.rb".freeze, "lib/profiles/latest/spellcheck_latest_profile_client.rb".freeze, "lib/profiles/latest/spellcheck_module_definition.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Cognitive Services Spell Check.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
